Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
ČeskySlovenskyEnglishDeutsch
Přihlášení:
▶ Registrace

 právě nás čte: 2537 

CAD tip CAD tip # 12009:

Otázka CAD 
 %  platforma  kategorie 
Q - otázka

Jak přenést čísla pozic z kusovníku do iVlastností komponent a rohových razítek?

A - odpověď Rozpisku a bubliny s čísly pozic na výkresu sestavy můžete propojit s rohovými razítky výkresů jednotlivých komponent sestavy.

Stačí použít následující iLogic makro (pravidlo, předpis) - jeho spouštění si můžete přidat např. na ikonku v ribbonu (pomocí funkcí X-Tools). Níže uvedený předpis spusťte v dokumentu sestavy. Čísla pozic z kusovníku propíše do uživatelské iVlastnosti "Číslo pozice" v jednotlivých IPT souborech součástí (kromě nakupovaných dílů). Tuto iVlastnost pak můžete snadno odkazovat (vkládat) v rohovém razítku výkresu součásti (Text > Uživatelské vlastnosti - Model) nebo v jiných situacích dle potřeby.

Pozor - pokud je součást použita v sestavě vícekrát, nebo pokud je součást použita ve vícero sestavách, může být iVlastnost čísla pozice přepsána a nemusí souhlasit!

Tento iLogic kód spusťte, vložte do šablony sestavy, nebo použijte jako externí pravidlo.

'Copy item numbers to components' custom iProperties
'(run in the assembly, in the Master LOD)
   
Dim oBOM As BOM
Dim oBOMRow As BOMRow
Dim oBOMView As BOMView
Dim oCompDef As ComponentDefinition
Dim oCustomProps As PropertySet
Dim oBOMNoProperty As Inventor.Property
Dim ItemNo As String
Const iPropName As String = "Číslo pozice" ' iProperty name

oBOM = ThisDoc.Document.ComponentDefinition.BOM
oBOM.PartsOnlyViewEnabled = True
oBOMView = oBOM.BOMViews.Item("Pouze součásti") '("Parts Only")

For Each oBOMRow In oBOMView.BOMRows
    oCompDef = oBOMRow.ComponentDefinitions(1)
    If oCompDef.BOMStructure <> kPurchasedBOMStructure Then ' w/o purchased
     ItemNo = oBOMRow.ItemNumber
     oCustomProps = oCompDef.Document.PropertySets("User Defined Properties")
     Try
        oBOMNoProperty = oCustomProps.Item(iPropName)
        oBOMNoProperty.Value = ItemNo
     Catch
        oBOMNoProperty = oCustomProps.Add(ItemNo, iPropName)
     End Try
    End If
Next
Inventor
100% *  CAD 
16.9.2018    978×  
 
Související CAD produkty:
platí pro: Inventor ·

Zpět   Všechny další tipy

Co znamená částečně asociativní kóta? « | » Jak v parametrech Inventoru počítat obecnou odmocninu vyššího řádu?

Pomohl vám tento tip? Provoz služby CADForum.cz podpoříte i nákupem produktů Autodesk u provozovatele tohoto serveru a Platinum partnera Autodesku, firmy CAD Studio.
Můžete si také přidat odkaz na vaše stránky: CAD Fórum - diskuze, tipy, bloky a utility
CAD:    OS:    Kateg: 
Text:  FAQ   






Tipy a triky prosím využívejte na vlastní zodpovědnost.
Provozovatel (CAD Studio s.r.o.) nenese odpovědnost za případné potíže vzniklé v souvislosti s použitím kteréhokoliv z uvedených tipů.
Pro plné zvládnutí dané aplikace doporučujeme absolvování některého z nabízených CAD školení.
Další publikování obsahu je dovoleno jen se souhlasem autora.
TOPlist